package com.wechat.activerequests.responses;

import com.fasterxml.jackson.annotation.JsonProperty;

/**
 * 主动接口调用回执
 */
public class WxBaseResponse {
    @JsonProperty("errcode")
    private Long errCode = 0L;
    @JsonProperty("errmsg")
    private String errMsg;

    public final Long getErrorCode() {
        return errCode;
    }

    public final String getErrorMsg() {
        return errMsg;
    }

    public boolean isSuccessful() {
        return errCode == 0L;
    }
}
